Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Normal View Orientation Problem 6

Status
Not open for further replies.

hims1980

Aerospace
Jul 9, 2012
54
0
0
FR
Hello Everyone,

In CATIA V5 R20, when i need to view a 3D Model from a specified normal direction, i just select the required face & i click on the Normal view tool from the VIEW Toolbar.

The resultant view is normal but it is not oriented to the viewing plane. Basically, the outer lines of a rectangle is not horizontal & vertical, they are at an angle.

For example, please see attached jpg., the view is a normal view of a rectangular block.

Regards,

Himanshu
 
Replies continue below

Recommended for you

you can do it with Work on Support from GSD workbench, or by creating a sketch on the face and position vector as required, or ...

by adding a gravitational effect in Tools / Options/ General / Display // Navigation : Gravitational effect during navigation. This will keep on direction vertical to your screen.. always... almost.

After you select a plan to have normal view, vertical won't be set properly, just 'drag' around and CATIA will setup vertical according to selected vector in tools option.

Eric N.
indocti discant et ament meminisse periti
 
Himanshu,

two more suggestions:

d. select one of the axis on the compass. Selecting the X in the compass will rotate the part in your attachment to the orientation you want. Selecting the X a second time will invert the view.

e. setup the view they way you want it (rotate, zoom, etc.) and Add it as a NAMED VIEW. Then you can recall it anytime you want that viewport.
 
That doesn't solve the problem!
See the attached Catia file.
Selecting the X compass would not orient the edges of the pad vertically or horizontally..................!
It looks like the only option is to create a sketch on the face and position vector as required!
Any other solution available?........

MZ7DYJ
 
 http://files.engineering.com/getfile.aspx?folder=3caf3b2d-1d8f-4806-afc8-ecce10dad25d&file=VIEW_ORIENTATION.CATPart
Make me a favour:
In me previous threads I have attached a Catia file.
Why don't you create a plane on my Catia file and send the required directions for me.......

Thanks!

MZ7DYJ
 
Hi,

mz7dyj, I believe you want to rotate the whole Partbody, maybe something like in picture?

Rotation.jpg



Regards
Fernando

 
Thanks Ferdo.
I do not want to move the geometrical feature; I want to be able to orient (on vertical or horizontal direction) the view using the edges of the solid.

MZ7DYJ
 
I was supposing that.
You can use the macro bellow but this has to be modified to run on any part...see the comments...and also in the beginning should be some code to put the part in normal view.

Code:
Sub CATMain()

    ' get isometric camera viewpoint
    Dim ActDoc As Document
    Set ActDoc = CATIA.ActiveDocument
    
    ' get active window
    Dim ActWin As Window
    Set ActWin = CATIA.ActiveWindow
    
    ' get active viewer
    Dim ActViewer As Viewer3D
    Dim varViewer As Variant    
    Set ActViewer = ActWin.ActiveViewer
    Set varViewer = ActViewer
    
    ' get viewpoint
    Dim varViewpoint As Variant
    Dim ActViewpoint As Viewpoint3D    
    Set ActViewpoint = ActViewer.Viewpoint3D
    Set varViewpoint = ActViewpoint
        
    ' define rotation vectors for current viewpoint
    Dim vDirectionUp(2) As Variant
    varViewpoint.GetUpDirection vDirectionUp    
    Dim vDirectionSight(2) As Variant
    varViewpoint.GetSightDirection vDirectionSight
    
    ' perform rotation
    Dim RotationAngle As Double
    
    RotationAngle = -33.9  ''this was measured manually before, so this part has to be coded...
    
    '~ varViewer.Rotate vDirectionUp, RotationAngle    ' this rotates model to the "right" around vertical axis
    varViewer.Rotate vDirectionSight, RotationAngle ' rotates model "clockwise" (to the right around center of view)
    
    ' update view
    ActViewer.Update


End Sub

Regards
Fernando

 
Ferdo has a macro for everything!

I just do it in two steps, then I create named views as needed.
1) select your face and hit the normal view button.
Assuming you were in a rotated view, it will turn out crooked as
in your original picture.
2) select a line (edge) in that view and hit normal view again.
Now you are nice and squared up.

3) If you aren't looking at the face you want, hold SHIFT and hit any
arrow key to rotate in snapped increments. Hold CTRL+SHIFT and
hit left or right arrow to 2D rotate it.

You can adjust the rotation increment by going to (in tools menu) OPTIONS-GENERAL-DISPLAY-Navigation tab @ the bottom. I use 45 Degrees.

I am amazed at how keyboard shortcuts are discouraged. My left hand hovers over the keyboard and has probably 30 common functions available to it. For lack of a spaceball... :(

Nick

Light structural commercial aircraft parts
PCDMIS 4.3 CAD++, CATIA V5 R20
APM Consortium Inc.
Ontario, Canada
 
Nick,

I use shortcuts on a regular basis, too.
My left hand hovers over the keyboard as well........................
And I do have a spaceball!!!!!

MZ7DYJ
 
Thanks a lot Nick, it worked out.

But my simple question, why don't Dassault Systemes create a single tool click for this command ? Why 2 to 3 steps ? It's a bit time consuming. Isn't it ?

As mz7dyj said in the second post of this forum, that UG NX is having this functionality & yes i know it's very simple in UG NX. Just orbit the 3D Model & bring the required face almost normal to the screen & then simply hit "F6" key for the result.


Regards,

Himanshu
 
I cannot fathom or answer why CATIA is so cumbersome to use.

You could create a macro (Ferdo) to make it into one click. I've found you need to be highly skilled in VB to use CATIA effectively. I am not and have to post here to get Ferdo to help with a macro to do even the simplest of things- Such as orienting a view or creating a balloon without a leader. I wanted a macro at one point to simply change all lines and faces to a specific width and color but even that is above me. So all that is left is clicking until your finger falls off.

Just gotta get used to it, or be an expert programmer.
Nick

Light structural commercial aircraft parts
PCDMIS 4.3 CAD++, CATIA V5 R20
APM Consortium Inc.
Ontario, Canada
 
Hi,

Nick. I'm not an expert programmer, believe me, I'm just a lazy engineer which don't want to do boring repetitive tasks...and I'm trying to see if I can answer to some questions raised by users (or my colleagues in company as well), it was a time when I switched even to commercial side of business [bigsmile]...

Almost everything what I know, I've learned from forums and reading books, so my advice is to continue to study VB.

If I can help with something let me know here in forum, for the benefit of all users.

Regards
Fernando

 
Creating a macro still seems to be a challange for me.............
I have no clue in this area yet.
Could someone place on this thread 1-2 very simple example (including the required steps) of macros, please?

Thanks

MZ7DYJ
 
Absolutely! Many thanks!
I have a very difficult time learning VB for CATIA. I have nothing to go on. I'll explain:
I have made some very useful VB macros in MS Excel and Word. From searching text to formatting borders and incorporating user forms. So I'm not a total dullard with VB. The problem is that when I learn and fidget with a macro, in MS excel, I first record what I want to do then I go and look at the code and fidget to understand. CATIA does not have this recording option (it doesn't work). Also, MS Excel has a text completion feature that when you're typing code it allows you to look through a list of what could possibly come next. CATIA also doesn't have this. So I am totally in the dark as to what to do. CATIA's VB (to me) is a blank page and I wasn't born with the object library imbedded in my head.

Slightly off topic though...
Nick

Light structural commercial aircraft parts
PCDMIS 4.3 CAD++, CATIA V5 R20
APM Consortium Inc.
Ontario, Canada
 
Hi Himanshu,

if it is only about positioning then you can use the compass.

grab your compass and place it on a surface of your square. then take it off the surface so that it jumps back to its original position. Note that the compass axes names have changed from xyz to uwv. click on the axis which you need as normal direction and you orientation will also be the way you want it.

Hope this helps!
 
Status
Not open for further replies.
Back
Top